SHEBANG
# Copyright (C)2013..2022 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: start.m4,v 1.4 2022/03/07 16:46:50 babolo Exp $

getjailnum() {
    ${jls} |\
    ${awk} "(\$2 == \"${ipadr}\") && (\$3 == \"${hname}\") && (\$4 == \"${JAILUPDIR}/${path}\"){print \$1}"
}

JNTROST(vhost, path, hname, ipadr, nice, p1, p2, p3, p4, p5, p6, p7, p8, p9)
if [ -z "$p1" ]; then unset p1; fi
if [ -z "$p2" ]; then unset p; fi
if [ -z "$p3" ]; then unset p; fi
if [ -z "$p4" ]; then unset p; fi
if [ -z "$p5" ]; then unset p; fi
if [ -z "$p6" ]; then unset p; fi
if [ -z "$p7" ]; then unset p; fi
if [ -z "$p8" ]; then unset p; fi
if [ -z "$p9" ]; then unset p; fi

if  [ -n "`getjailnum`" ]; then
    for i in "${JAILUPDIR}/${path}/var/run/*.pid"; do
        exe=${i##*/}
        ${jun_ctl} termpid "[^ ]*${exe%.pid}" "${i}"
    done
fi
for i in `getjailnum`; do
    ${sysjail} -R jid=${i}
done

if   [ -z "$p1" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr}                                                                         command=/bin/sh /etc/rc
elif [ -z "$p2" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}"                                                                 command=/bin/sh /etc/rc
elif [ -z "$p3" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}"                                                         command=/bin/sh /etc/rc
elif [ -z "$p4" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}"                                                 command=/bin/sh /etc/rc
elif [ -z "$p5" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}" "${p4}"                                         command=/bin/sh /etc/rc
elif [ -z "$p6" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}" "${p4}" "${p5}"                                 command=/bin/sh /etc/rc
elif [ -z "$p7" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}" "${p4}" "${p5}" "${p6}"                         command=/bin/sh /etc/rc
elif [ -z "$p8" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}" "${p4}" "${p5}" "${p6}" "${p7}"                 command=/bin/sh /etc/rc
elif [ -z "$p9" ]; then ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}" "${p4}" "${p5}" "${p6}" "${p7}" "${p8}"         command=/bin/sh /etc/rc
else                    ${sysjail} -c "path=${JAILUPDIR}/${path}" host.hostname=${hname} ip4.addr=${ipadr} "${p1}" "${p2}" "${p3}" "${p4}" "${p5}" "${p6}" "${p7}" "${p8}" "${p9}" command=/bin/sh /etc/rc
fi
